﻿using APIs.Dto;
using AutoMapper;
using Models.SqlModel;

namespace APIs.Profiles;

public class MapperProfile : Profile
{
    public MapperProfile()
    {
        CreateMap<EquipmentType, EquipmentTypeDto>().ForMember(dest=>dest.id,opt=>opt.MapFrom(src=>src.id));
        CreateMap<EquipmentSize, EquipmentSizeDto>().ForMember(dest =>dest.id,opt => opt.MapFrom(src => src.id));
    }
}