﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.ModelBinding;
using System.ComponentModel.DataAnnotations;
using System.Diagnostics.CodeAnalysis;

namespace APIs.Req
{
    public class RecordsReq
    {
        public String id { get; set; }
        public DateTime useTime { get; set; }
        public String userName { get; set; }
        public String type { get; set; }

        public String equipments { get; set; }
        [FromBody]
        public List<EquipmentList> equipmentList { get; set; }
        [FromBody]
        public List<CarList> carList { get; set; }
        //
    }

    public class EquipmentList
    {
        public String epc { get; set; }
        public String equipmentName { get; set; }
        public String equipmentSize { get; set; }
        public String outInState { get; set; }
        public String errorState { get; set; }

    }

    public class CarList
    {
        public String carId { get; set; }
        public String outInState { get; set; }
        public String errorState { get; set; }

    }
}
