﻿using SqlSugar;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Principal;
using System.Text;
using System.Threading.Tasks;

namespace Models.SqlModel
{

    [SugarTable("base_car")]
    public class Car
    {
        [SugarColumn(IsIdentity = true, IsPrimaryKey = true)]

        public int id { get; set; }

        public String name { get; set; }

        public String no { get; set; }

        public String? state { get; set; }

        [SugarColumn(ColumnName = "update_time")]
        public DateTime? updateTime { get; set; }
        [SugarColumn(ColumnName = "create_time")]
        public DateTime? createTime { get; set; }
    }
}
